com.intellectualcrafters.plot.util

## Class ReflectionUtils.RefField.RefExecutor

- java.lang.Object
- - com.intellectualcrafters.plot.util.ReflectionUtils.RefField.RefExecutor

- Enclosing class:
    ReflectionUtils.RefField

      public class ReflectionUtils.RefField.RefExecutor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionUtils.RefField.RefExecutor(java.lang.Object e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `get()` get field value for applied object
    `void` | `set(java.lang.Object param)` set field value for applied object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionUtils.RefField.RefExecutor

          public ReflectionUtils.RefField.RefExecutor(java.lang.Object e)

  - ### Method Detail

    - #### set

          public void set(java.lang.Object param)

      set field value for applied object
      Parameters:
        `param` - value

    - #### get

          public java.lang.Object get()

      get field value for applied object
      Returns:
        value of field